## kalzium 4.14.1

=== debian/changelog ===
kalzium (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:29:28 +0200

kalzium (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:33:40 +0200

kalzium (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:15:41 +0200

kalzium (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:27:03 +0200

kalzium (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:34:41 +0200

kalzium (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Restore Ubuntu change to not build-dep on libavogadro-dev on armhf since
    avogardo isn't built on armhf in Ubuntu due to no GL on armhf

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2014 13:09:33 -0400

kalzium (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: no remaining changes 

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:42:57 +0100

kalzium (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 May 2014 11:08:47 +0200

kalzium (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:03 +0200

kalzium (4:4.12.2-1) experimental; urgency=medium

  * Enable build failures on missing symbols.
  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:40 +0100

kalzium (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Switch to eigen3, thanks to Anton Gladky. (Closes: #728324)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 16:47:31 +0100

kalzium (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:52:55 +0200

kalzium (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:43:11 +0200

kalzium (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Add libsm-dev as a build-dep.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:16 +0200

=== debian/control ===
Source: kalzium
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: chemical-mime-data,
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libavogadro-dev [!armhf],
               libboost-python-dev,
               libeigen3-dev (>> 2.0.3),
               libfacile-ocaml-dev,
               libglew-dev,
               libopenbabel-dev,
               libqt4-opengl-dev,
               libsm-dev,
               libxext-dev,
               pkg-config,
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalzium
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalzium
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kalzium.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kalzium.git

Package: kalzium
Architecture: any
Section: science
Depends: kalzium-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libkdeedu4 (<< 4:4.6.2), libscience4
Replaces: libkdeedu4 (<< 4:4.6.2), libscience4
Suggests: chemical-mime-data, khelpcenter4
Description: periodic table and chemistry tools
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

Package: kalzium-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for Kalzium
 This package contains architecture-independent data files for Kalzium, the
 KDE periodic table application.
 .
 This package is part of the KDE education module.

Package: kalzium-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kalzium (= ${binary:Version}), ${misc:Depends}
Breaks: kdeedu-dbg
Replaces: kdeedu-dbg
Description: debugging symbols for the Kalzium
 This package contains debugging files used to investigate problems with
 binaries included in Kalzium

## kalzium 4.14.2

=== debian/changelog ===
kalzium (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:34 +0200

kalzium (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patch: eigen3.patch
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 18:28:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kalzium
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
@@ -10,8 +9,8 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libavogadro-dev [!armhf],
+               kdelibs5-dev (>= 4:4.11),
+               libavogadro-dev,
                libboost-python-dev,
                libeigen3-dev (>> 2.0.3),
                libfacile-ocaml-dev,
@@ -24,10 +23,8 @@
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalzium
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kalzium
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kalzium.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kalzium.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kalzium.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kalzium.git
 
 Package: kalzium
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kalzium-([\d.]+).tar.xz

## kalzium 14.12.3

=== debian/changelog ===
kalzium (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:43:09 -0700

kalzium (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:13:44 -0800

kalzium (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:01:02 +0100

kalzium (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * Merge with debian unstable, remaining changes:
    - only build-depend on libavogadro-dev on !armhf
    - add kalzium.install.armhf
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * New upstream release candidate
  * Suggest khelpcenter instead of khelpcenter4.
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 20:35:09 +0100

kalzium (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:00:51 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kalzium
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
@@ -9,8 +9,8 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libavogadro-dev,
+               kdelibs5-dev,
+               libavogadro-dev [!armhf],
                libboost-python-dev,
                libeigen3-dev (>> 2.0.3),
                libfacile-ocaml-dev,
@@ -23,8 +23,8 @@
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kalzium.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kalzium.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kalzium.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kalzium.git
 
 Package: kalzium
 Architecture: any
@@ -32,7 +32,7 @@
 Depends: kalzium-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkdeedu4 (<< 4:4.6.2), libscience4
 Replaces: libkdeedu4 (<< 4:4.6.2), libscience4
-Suggests: chemical-mime-data, khelpcenter4
+Suggests: chemical-mime-data, khelpcenter
 Description: periodic table and chemistry tools
  Kalzium is a full-featured chemistry application, including a
  Periodic Table of Elements, chemical reference, chemical equation solver, and

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kalzium-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kalzium-([\d.]+).tar.xz

## kalzium 15.08.2

=== debian/changelog ===
kalzium (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:54:55 +0100

kalzium (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:14:58 +0100

kalzium (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:06:47 +0100

kalzium (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:31:47 +0100

kalzium (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:35:03 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libxext-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kalzium.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kalzium.git
@@ -29,7 +29,9 @@
 Package: kalzium
 Architecture: any
 Section: science
-Depends: kalzium-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: kalzium-data (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libkdeedu4 (<< 4:4.6.2), libscience4
 Replaces: libkdeedu4 (<< 4:4.6.2), libscience4
 Suggests: chemical-mime-data, khelpcenter

## kalzium 15.12.3

=== debian/changelog ===
kalzium (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:00:18 -0700

kalzium (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:27:33 +0100

kalzium (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:37:39 +0000

kalzium (4:15.08.3-1~) UNRELEASED; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Nov 2015 09:37:27 +0100

kalzium (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.08.0).
  * Add libsoprano-dev build dep. (Closes: #799380)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:11:10 +0200

kalzium (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:50 +0200

kalzium (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Feb 2015 10:40:10 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.6.80~),
                libavogadro-dev [!armhf],
+               libsoprano-dev,
                libboost-python-dev,
                libeigen3-dev (>> 2.0.3),
                libfacile-ocaml-dev,
@@ -23,8 +24,8 @@
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kalzium.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kalzium.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kalzium.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kalzium.git
 
 Package: kalzium
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbg-package=kalzium-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kalzium-([\d.]+).tar.xz

## kalzium 16.04.3

=== debian/changelog ===
kalzium (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release. 

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:29:38 +0200

kalzium (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.6.80~),
+               kdelibs5-dev (>= 4:4.14.22~),
                libavogadro-dev [!armhf],
-               libsoprano-dev,
                libboost-python-dev,
                libeigen3-dev (>> 2.0.3),
                libfacile-ocaml-dev,
@@ -19,13 +18,14 @@
                libopenbabel-dev,
                libqt4-opengl-dev,
                libsm-dev,
+               libsoprano-dev,
                libxext-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kalzium.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kalzium.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
 
 Package: kalzium
 Architecture: any
@@ -52,14 +52,3 @@
  KDE periodic table application.
  .
  This package is part of the KDE education module.
-
-Package: kalzium-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: kalzium (= ${binary:Version}), ${misc:Depends}
-Breaks: kdeedu-dbg
-Replaces: kdeedu-dbg
-Description: debugging symbols for the Kalzium
- This package contains debugging files used to investigate problems with
- binaries included in Kalzium

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	$(overridden_command) -V
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kalzium-dbg
+	$(overridden_command) --ddeb-migration='kalzium-dbg (<= 4:15.08.3-1~~)'

## kalzium 16.08.3

=== debian/changelog ===
kalzium (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:54:59 +0100

kalzium (4:16.08.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove unused libsoprano-dev build dependency.

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:54:20 +0200

kalzium (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 16:43:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
+               kdelibs5-dev (>= 4:4.6.80~),
                libavogadro-dev [!armhf],
                libboost-python-dev,
                libeigen3-dev (>> 2.0.3),
@@ -18,14 +18,13 @@
                libopenbabel-dev,
                libqt4-opengl-dev,
                libsm-dev,
-               libsoprano-dev,
                libxext-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kalzium.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kalzium.git
 
 Package: kalzium
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	$(overridden_command) -V
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='kalzium-dbg (<= 4:15.08.3-1~~)'
+	$(overridden_command) --dbgsym-migration='kalzium-dbg (<= 4:15.08.3-1~~)'

## kalzium 16.12.3

=== debian/changelog ===
kalzium (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:08 +0000

kalzium (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Porting packaging to Kf5

  [ Aaron Honeycutt ]
  * Added qtscript5-dev as build dep
  * Added libqt5opengl5-dev as build dep
  * Added libqt5svg5-dev as build dep
  * Added lots of libkf5 packages and kdoctools-dev

  [ Rik Mills ]
  * Initial changes to install files for KF5 port
  * Add build dep on libfacile-ocaml-dev
  * New upstream release (16.12.0)
  * For now avogadrolibs is not a usable version so the molecular editor is
    disabled at build time. Install file for armhf and other architectures,
    which did differ as avogadro was excluded for armhf, therefore match for
    the time being.
  * Update lintian overrides
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)
  
  [ Clive Johnston ]
  * Installing icons

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:47 +0000

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,33 @@
 Build-Depends: chemical-mime-data,
                cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.6.80~),
+               extra-cmake-modules (>= 5.31.0~),
                libavogadro-dev [!armhf],
-               libboost-python-dev,
-               libeigen3-dev (>> 2.0.3),
                libfacile-ocaml-dev,
-               libglew-dev,
-               libopenbabel-dev,
-               libqt4-opengl-dev,
-               libsm-dev,
-               libxext-dev,
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5khtml-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5plotting-dev (>= 5.31.0~),
+               libkf5solid-dev (>= 5.31.0~),
+               libkf5unitconversion-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-config,
-               pkg-kde-tools (>= 0.14)
-Standards-Version: 3.9.8
+               pkg-kde-tools (>= 0.14),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kalzium.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kalzium.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
 
 Package: kalzium
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --ddeb-migration='kalzium-dbg (<= 4:15.08.3-1~~)'

## kalzium 17.04.3

=== debian/changelog ===
kalzium (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)
  * Add kubuntu_fix_build_ocaml_4.04.diff
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:08 +0100

## kalzium 17.08.3

=== CMakeLists.txt ===
project(kalzium)
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 5.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${kalzium_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(CheckIncludeFiles)
include(ECMSetupVersion)

find_package(Gettext REQUIRED)
find_package(PythonInterp REQUIRED)
find_package(PkgConfig)
find_package(OpenBabel2)
find_package(AvogadroLibs)
find_package(Eigen3)
find_package(OCaml)
find_package(Libfacile)

pkg_check_modules(CHEMICAL_MIME_DATA chemical-mime-data)
check_include_files(ieeefp.h HAVE_IEEEFP_H)

# create configuration file
set(HAVE_FACILE ${LIBFACILE_FOUND})
set(HAVE_OPENBABEL2 ${OPENBABEL2_FOUND})
set(HAVE_EIGEN ${EIGEN3_FOUND})
set(HAVE_AVOGADRO ${AvogadroLibs_FOUND})
configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-kalzium.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-kalzium.h
)

include_directories(${AvogadroLibs_INCLUDE_DIRS})

find_package(Qt5 REQUIRED COMPONENTS
    Widgets
    Script
    Core
    Quick
    Gui
    OpenGL
    Svg
)

find_package(KF5 REQUIRED COMPONENTS
    Archive
    Config
    CoreAddons
    DocTools
    I18n
    KDELibs4Support
    KHtml
    NewStuff
    Parts
    Plotting
    Solid
    UnitConversion
    WidgetsAddons
)

ecm_setup_version("5.0.0"
    VARIABLE_PREFIX KALZIUMLIB
)

# search packages used by KDE 
if(WIN32)
  find_package(KDEWIN32 REQUIRED)
  # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
 #execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir #ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  #file(TO_CMAKE_PATH "${_dir}" __dir)
  #find_path(KDE4_ICON_DIR oxygen PATHS
   #  ${__dir})
 # message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")
else(WIN32)
 # set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif(WIN32)

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_FAST_CONCATENATION
    -DQT_USE_FAST_OPERATOR_PLUS
)
#include_directories (${QDBUS_INCLUDE_DIRS}  ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} libscience)
if(MSVC)
# for correctly linking openbabel:
# see http://www.mail-archive.com/openbabel-devel@lists.sourceforge.net/msg01975.html
add_definitions(-DUSING_DYNAMIC_LIBS)
endif(MSVC)

if (OPENBABEL2_FOUND AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
  # avoid compilerwarnings about redefinitions
  # todo: use check_function_exits() ?
  message(STATUS "Kalzium molecular editor enabled")
  if (WIN32)
    add_definitions(-DHAVE_SNPRINTF -DHAVE_STRCASECMP -DHAVE_STRNCASECMP)
  endif (WIN32)
  add_subdirectory(compoundviewer)
else (OPENBABEL2_FOUND AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
  message(STATUS "Kalzium molecular editor disabled")
endif (OPENBABEL2_FOUND AND AvogadroLibs_FOUND AND EIGEN3_FOUND)

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(data)
# add_subdirectory(plasmoid)
add_subdirectory(libscience)
# add_subdirectory(qml)

install(FILES org.kde.kalzium.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== libscience/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(tests)

set(science_LIB_SRCS
   element.cpp
   spectrum.cpp
   isotope.cpp
   spectrumparser.cpp
   elementparser.cpp
   isotopeparser.cpp
   chemicaldataobject.cpp
   moleculeparser.cpp
   parser.cpp
   psetables.cpp
)

add_library(science SHARED ${science_LIB_SRCS})

target_link_libraries(science Qt5::OpenGL Qt5::Xml KF5::UnitConversion KF5::WidgetsAddons KF5::KDELibs4Support)
set_target_properties(science PROPERTIES VERSION ${KALZIUMLIB_VERSION} SOVERSION ${KALZIUMLIB_SOVERSION} )
install(TARGETS science  ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
   chemicaldataobject.h
   element.h
   elementparser.h
   isotope.h
   isotopeparser.h
   libkdeedu_science_export.h
   moleculeparser.h
   parser.h
   spectrum.h
   spectrumparser.h
   psetables.h
   DESTINATION ${INCLUDE_INSTALL_DIR}/libkdeedu  COMPONENT Devel
)

=== src/CMakeLists.txt ===
include_directories(
   ${CMAKE_SOURCE_DIR}/libscience/
   ../compoundviewer
   tools
   calculator
   psetable
   isotopetable
   ${CMAKE_CURRENT_BINARY_DIR}/..
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   )

########### next target ###############

# The tools can only be built when OpenBabel2 is found.
# The moleculeviewer needs not only OpenBabel2 but also Eigen2 and Avogadro,
# so there is a nested if-check.
if (OPENBABEL2_FOUND)
   set(kalziumtools_SRCS
      tools/obconverter.cpp
      )

   ki18n_wrap_ui(kalziumtools_SRCS
      tools/obconverterwidget.ui
      )
   include_directories(${OPENBABEL2_INCLUDE_DIR})

   if (EIGEN3_FOUND AND AvogadroLibs_FOUND)

      #include(${Avogadro_USE_FILE})

      set(kalziumtools_SRCS
         ${kalziumtools_SRCS}
         tools/moleculeview.cpp
         ../compoundviewer/kalziumglwidget.cpp
         )
      ki18n_wrap_ui(kalziumtools_SRCS
         tools/moleculeviewerwidget.ui
         )
      include_directories(${EIGEN3_INCLUDE_DIR})
   endif (EIGEN3_FOUND AND AvogadroLibs_FOUND)
endif (OPENBABEL2_FOUND)

## Kalzium calculator files
set(kalziumtools_SRCS
   ${kalziumtools_SRCS}
   calculator/calculator.cpp
   calculator/nuclearCalculator.cpp
   calculator/gasCalculator.cpp
   calculator/concCalculator.cpp
   calculator/titrationCalculator.cpp
#   calculator/massCalculator.cpp
   )
ki18n_wrap_ui(kalziumtools_SRCS
   calculator/calculator.ui
   calculator/nuclearCalculator.ui
   calculator/gasCalculator.ui
   calculator/concCalculator.ui
   calculator/settings_calc.ui
   calculator/titrationCalculator.ui
#   calculator/massCalculator.ui
   )

set(kalzium_SRCS
   ${kalziumtools_SRCS}
   isotopetable/informationitem.cpp
   isotopetable/isotopeguideview.cpp
   isotopetable/isotopeitem.cpp
   isotopetable/isotopescene.cpp
   isotopetable/isotopetabledialog.cpp
   isotopetable/isotopeview.cpp
   psetable/elementitem.cpp
   psetable/numerationitem.cpp
   psetable/periodictableview.cpp
   psetable/periodictablescene.cpp
   psetable/periodictablestates.cpp
   psetable/statemachine.cpp
   kalzium.cpp
   main.cpp
   detailinfodlg.cpp
   tablesdialog.cpp
   detailedgraphicaloverview.cpp
   orbitswidget.cpp
   elementdataviewer.cpp
   molcalcwidget.cpp
   gradientwidget_impl.cpp
   kalziumdataobject.cpp
   kalziumutils.cpp
   kalziumgradienttype.cpp
   kalziumnumerationtype.cpp
   kalziumelementproperty.cpp
   kalziumschemetype.cpp
   kalziumunitcombobox.cpp
   unitsettingsdialog.cpp
   search.cpp
   searchwidget.cpp
   rsdialog.cpp
   legendwidget.cpp
   exportdialog.cpp
   tableinfowidget.cpp
   spectrumviewimpl.cpp
   spectrumwidget.cpp
   kdeeduglossary.cpp
   )

if (LIBFACILE_FOUND)
   include(CMakeOCamlInstructions.cmake)

   set(kalzium_SRCS
      ${kalzium_SRCS}
      eqchemview.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/solver.o
      ${CMAKE_CURRENT_BINARY_DIR}/modwrap.o
      )
   ki18n_wrap_ui(kalzium_SRCS
      equationview.ui
      )
endif (LIBFACILE_FOUND)

ki18n_wrap_ui(kalzium_SRCS
   isotopetable/isotopedialog.ui
   settings_colors.ui
   plotsetupwidget.ui
   molcalcwidgetbase.ui
   spectrumview.ui
   settings_gradients.ui
   rswidget.ui
   gradientwidget.ui
   exportdialog.ui
   )

kconfig_add_kcfg_files(kalzium_SRCS prefs.kcfgc )

#kde4_add_app_icon(kalzium_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-kalzium.png")

add_executable(kalzium ${kalzium_SRCS})

target_link_libraries(kalzium
    KF5::Plotting
    KF5::KHtml
    KF5::KDELibs4Support
    KF5::NewStuff
    KF5::UnitConversion
    Qt5::Script
    Qt5::Svg
    Qt5::Quick
    science
    ${OPENBABEL2_LIBRARIES}
)
if (OPENBABEL2_FOUND)
   target_link_libraries(kalzium ${OPENBABEL2_LIBRARIES})
   if (EIGEN3_FOUND AND AvogadroLibs_FOUND)
      target_link_libraries(kalzium
         Qt5::OpenGL
         compoundviewer
         AvogadroQtGui
         AvogadroQtOpenGL
         AvogadroQtPlugins
       )
   endif (EIGEN3_FOUND AND AvogadroLibs_FOUND)
endif (OPENBABEL2_FOUND)

if (LIBFACILE_FOUND)
   link_directories(${OCAMLC_DIR})
   set(CMAKE_LIBRARY_PATH ${OCAMLC_DIR})
   set(kalzium_EXTRA_LIBS)

   find_library(OCAML_ASMRUN_LIBRARY NAMES asmrun)
   if (OCAML_ASMRUN_LIBRARY)
      set(kalzium_EXTRA_LIBS ${kalzium_EXTRA_LIBS} ${OCAML_ASMRUN_LIBRARY})
   endif (OCAML_ASMRUN_LIBRARY)

   find_library(OCAML_STR_LIBRARY NAMES str)
   if (OCAML_STR_LIBRARY)
      set(kalzium_EXTRA_LIBS ${kalzium_EXTRA_LIBS} ${OCAML_STR_LIBRARY})
   endif (OCAML_STR_LIBRARY)

   find_library(OCAML_NUMS_LIBRARY NAMES nums)
   if (OCAML_NUMS_LIBRARY)
      set(kalzium_EXTRA_LIBS ${kalzium_EXTRA_LIBS} ${OCAML_NUMS_LIBRARY})
   endif (OCAML_NUMS_LIBRARY)

   target_link_libraries(kalzium ${kalzium_EXTRA_LIBS} m ${CMAKE_DL_LIBS})
endif (LIBFACILE_FOUND)

install(TARGETS kalzium ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(PROGRAMS org.kde.kalzium.desktop org.kde.kalzium_cml.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kalzium.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kalziumui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kalzium)
install(FILES kalzium.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

ecm_install_icons(ICONS
    16-apps-kalzium.png
    22-apps-kalzium.png
    32-apps-kalzium.png
    48-apps-kalzium.png
    64-apps-kalzium.png
    128-apps-kalzium.png
    sc-apps-kalzium.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== plasmoid/applet/gasPlasmoid/CMakeLists.txt ===
project(gasCalculator)

set(gasCalculator_SRCS gasCalculator.cpp)
ki18n_wrap_ui(gasCalculator_SRCS gasCalculatorConfig.ui)
add_library(gasCalculator ${gasCalculator_SRCS})
target_link_libraries(gasCalculator
                      KF5::Plasma KF5::Ui KF5::WidgetsAddons
                      KF5::UnitConversion
                      )

install(TARGETS gasCalculator DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES gasCalculator.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kalzium (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Remove unused build dependencies: libglew-dev, libsm-dev, libsoprano-dev,
    and libxext-dev.
  * Remove outdated debian/kalzium.install.armhf file; the generic one should
    work fine.
  * Update lintian overrides.
  * Update Vcs-* fields.
  * Do not ship translations of Plasma-related stuff, since they are not
    ported yet.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 10:09:27 +0100

kalzium (4:17.08.0-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix "kalzium FTBFS with OCaml 4.05.0: Options -c and -o are
    incompatible when compiling C files" by applying patch from
    Stéphane Glondu, via the BTS (Closes: #869869)

 -- Tobias Frost <tobi@debian.org>  Sun, 22 Oct 2017 16:47:55 +0200

kalzium (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update build-deps and deps with the info from cmake
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:16 +0200

kalzium (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:32:42 +0000

kalzium (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:49 +0000

kalzium (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:22 +0000

kalzium (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:11:58 +0000

kalzium (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:03 +0000

kalzium (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:02 +0000

kalzium (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2017 17:37:29 +0000

kalzium (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Oct 2016 11:44:50 +0000

kalzium (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:39 +0000

kalzium (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:19 +0000

kalzium (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:53 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# drop translations of plasma-related components, since they are
	# not ported yet
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/plasma_*.mo

## kalzium 17.12.3

=== data/icons/CMakeLists.txt ===

ecm_install_icons(${DATA_INSTALL_DIR}/kalzium/icons)

=== debian/changelog ===
kalzium (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:24:03 +0000

kalzium (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:39 +0000

kalzium (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * d/p: drop kubuntu_fix_build_ocaml_4.04.diff as fix now applied
    upstream
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:37 +0000

=== debian/control ===
--- 
+++ 
@@ -56,6 +56,8 @@
 Architecture: all
 Section: science
 Depends: ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: data files for Kalzium
  This package contains architecture-independent data files for Kalzium, the
  KDE periodic table application.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --ddeb-migration='kalzium-dbg (<= 4:15.08.3-1~~)'

## kalzium 18.04.3

=== debian/changelog ===
kalzium (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Update patches

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:14:46 +0100

kalzium (4:18.04.3-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Jul 2018 09:50:41 +0000

kalzium (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild for openbabel soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Jul 2018 12:10:24 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
+               qtscript5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium

## kalzium 18.12.3

=== debian/changelog ===
kalzium (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:46 +0000

kalzium (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:13:08 +0000

kalzium (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:31 +0000

kalzium (4:18.12.0-0ubuntu2) disco; urgency=medium

  * Fix path in maintscript. LP: #1810424

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 06 Jan 2019 21:44:05 +0000

kalzium (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Refresh patches.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:10 +0000

kalzium (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/patches: Drop 869869.patch, fixed upstream.
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/control: Bumped build deps, and for now keep libavogadro-dev in the
      hope that this becomes new enough again soon.
    - d/control: Kubuntu Vcs fields.
    - Add breaks/replaces and maintscript moving config file from kalzium
      to kalzium-data.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 07:31:47 +0000

kalzium (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Jul 2018 09:50:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,15 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: chemical-mime-data,
-               cmake,
+               cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
+               gettext,
                libavogadro-dev [!armhf],
+               libboost-python-dev,
+               libeigen3-dev (>> 2.0.3),
                libfacile-ocaml-dev,
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
@@ -24,6 +27,7 @@
                libkf5solid-dev (>= 5.31.0~),
                libkf5unitconversion-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
+               libopenbabel-dev,
                libqt5opengl5-dev (>= 5.6.1~),
                libqt5svg5-dev (>= 5.6.1~),
                pkg-config,
@@ -31,7 +35,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qtscript5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
@@ -41,7 +45,7 @@
 Section: science
 Depends: kalzium-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: libkdeedu4 (<< 4:4.6.2), libscience4
 Replaces: libkdeedu4 (<< 4:4.6.2), libscience4
 Suggests: chemical-mime-data, khelpcenter
@@ -56,8 +60,8 @@
 Architecture: all
 Section: science
 Depends: ${misc:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+Breaks: kalzium (<< 4:18.08.3~), ${kde-l10n:all}
+Replaces: kalzium (<< 4:18.08.3~), ${kde-l10n:all}
 Description: data files for Kalzium
  This package contains architecture-independent data files for Kalzium, the
  KDE periodic table application.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# drop translations of plasma-related components, since they are
	# not ported yet
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/plasma_*.mo

## kalzium 19.04.3

=== debian/changelog ===
kalzium (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Aug 2019 17:38:10 +0200

kalzium (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:24 +0100

kalzium (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:01:23 +0100

kalzium (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:26 +0100

kalzium (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Refreah patches.
  * Drop debian/patches/add_missing_include.patch
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:49 +0100
